/*
 * SPDX-FileCopyrightText: 2022 Thomas Kramer
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 */

/* Define colors */
:root {
    --col-main1: #2cb5e8;
    --col-main2: #ffffff;
    --col-link: #0080ff;
    --col-link-hover: #80f0ff;
}

body {
    background-image: linear-gradient(0deg, var(--col-main2) 0%, var(--col-main1) 75%);
    background-attachment: fixed;
    min-height: 100%;
    font-family: Arial, Helvetica, sans-serif;
}

a {
    text-decoration: none;
    color: var(--col-link);
}

a:hover {
    text-decoration: none;
    color: var(--col-link-hover);
}

h1 {
    text-align: center;
    opacity: 0.9;
}

label {

}

button {
    border: 0px;
    margin-top: 5px;
    background-color: rgba(255, 255, 255, 0.5);
    transition: background-color 0.5s;
    border-radius: 5px;
}

button:hover {
    background-color: rgba(255, 255, 255, 0.7);
}

.box {
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.2);
    padding: 10px;

    width: 30vh;
    min-width: 300px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    word-wrap: break-word;
}

input {
  text-align: center;
  background-color: rgba(255, 255, 255, 0.5);
  border: 0px;
  border-radius: 10px;
}

input:hover {
    opacity: 1.0;
}

.optional {
    opacity: 0.5;
    transition: opacity 0.5s;
}

.flexvertical {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.flexhorizontal {
    display: flex;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap-reverse;
}


.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 200px;
  background-color: rgba(0, 0, 0, 0.5);
  border: 1px solid rgba(0, 0, 0, 0.1);
  color: #eee;
  text-align: center;
  border-radius: 10px;
  padding: 10px;
  position: absolute;
  z-index: 1;
  left: 100%;
  top: 0%;
  margin-left: 10px;
  
  opacity: 0;
  transition: opacity 1s;
  transition-delay: 2s;
  transition-timing-function: ease-in;
  
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

#controlButtons button {
    margin-left: auto;
    margin-right: auto;
    width: 100px;
}

#divLog {
    padding: 10px;
    width: 50%;
    min-width: 300px;
}

#divLog ol {
    height: 200px;
    overflow: hidden;
    overflow-y: scroll;
}

#divPeerList {
    height: 300px;
    margin-left: 10px;
    margin-right: 10px;
}

#divPeerList ul {
    height: 100%;
    list-style: none;
    list-style-type: none;
}

#peerList {
    width: 100%;
    padding-left: 0%;
    overflow: hidden;
    overflow-y: scroll;
}

#peerList li {
    border-radius: 5px;
    padding: 5px;
    margin-bottom: 5px;
    background: rgba(0, 0, 0, 0.1);
}

#divChat {
    height: 300px;
    margin-left: 10px;
    margin-right: 10px;
}

#chatMessages {
    height: 100%;
    width: 100%;
    padding-left: 0%;
    overflow: hidden;
    overflow-y: scroll;
}

#divChat ul {
    list-style: none;
    list-style-type: none;
}

#chatMessages li {
    border-radius: 5px;
    padding: 5px;
    margin-bottom: 5px;
    background: rgba(0, 0, 0, 0.1);
}


#chatMessages li:nth-child(odd) {
    background: rgba(255, 255, 255, 0.1);
}

#footer {
    border: 0px;
    background-color: rgba(0, 0, 0, 0);
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}

